footer {
  background: var(--black);
  padding: 50px 50px 150px;
}
.footer-logo,
.footer-supported {
  display: block;
  justify-content: center;
  margin: 0 auto;
  width: 200px;
}
.footer-supported {
  padding: 40px 0;
}
.footer-logo img,
.footer-supported img {
  width: 100%;
  height: auto;
}
.footer-txt p,
.footer-supported .footer-txt p {
  text-align: center;
  line-height: 2;
  color: var(--white);
  max-width: none;
}
.footer-txt p {
  font-size: 0.6em;
}
.footer-supported .footer-txt p {
  font-size: 1em;
}

@media screen and (max-width: 550px) {
  footer {
    padding: 50px 10px 120px;
  }
  .footer-logo {
    width: 150px;
  }
  .footer-txt p {
    font-size: 0.5rem;
    max-width: none;
  }
}
